/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for SingleImageFindingFromBI_RADS
 */
public enum EnumCV_SingleImageFindingFromBI_RADS 
{
	//Single Image Finding From BI_RADS - CID 6015
	MAMMOGRAPHY_BREAST_DENSITY_F_01796("F-01796"),
	INDIVIDUAL_CALCIFICATION_F_01776("F-01776"),
	CALCIFICATION_CLUSTER_F_01775("F-01775"),
	ARCHITECTURAL_DISTORTION_OF_BREAST_F_01795("F-01795"),
	TUBULAR_DENSITY_F_01797("F-01797"),
	INTRA_MAMMARY_LYMPH_NODE_T_C4351("T-C4351"),
	TRABECULAR_THICKENING_OF_BREAST_F_01798("F-01798"),
	BREAST_COMPOSITION_F_01710("F-01710"),
	SKIN_RETRACTION_OF_BREAST_F_01799("F-01799"),
	SKIN_THICKENING_OF_BREAST_F_0179A("F-0179A"),
	AXILLARY_ADENOPATHY_DC_721C4("DC-721C4"),
	SKIN_LESION_D0_00050("D0-00050"),
	COOPERS_LIGAMENT_CHANGES_111111("111111"),
	EDEMA_M_36300("M-36300"),
	MASS_IN_THE_SKIN_111112("111112"),
	MASS_ON_THE_SKIN_111113("111113"),
	AXILLARY_LYMPH_NODE_T_C4710("T-C4710");

	private String value;
	
	EnumCV_SingleImageFindingFromBI_RADS(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
